package CHAPTER05;

class ClassName1 {
    String field1; // 문자열을 저장할 필드

    // 매개변수를 받는 생성자
    ClassName1(String field2) {
        field1 = field2; 
    }
}

public class C5_06_ParameterConstructor {
    public static void main(String[] args) {
        // 매개변수 생성자를 사용하여 객체 생성 및 값 초기화
        ClassName1 cn = new ClassName1("매개변수 생성자");

        // 객체의 field 값 출력
        System.out.println(cn.field1);  // "매개변수 생성자" 출력
    }
}
